"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorScope = void 0;
class ErrorScope {
    constructor() {
        this._attributeProviders = [];
    }
    addAttributes(attributesOrProvider) {
        if (typeof attributesOrProvider === 'function') {
            this._attributeProviders.push(attributesOrProvider);
        }
        else {
            if (!this._attributes) {
                this._attributes = attributesOrProvider;
            }
            else {
                this._attributes = Object.assign(this._attributes, attributesOrProvider);
            }
        }
        return this;
    }
    /* tslint:enable:unified-signatures */
    /**
     * Retrieves all attributes. If there were any functions added,
     * they will be run to retrieve attributes.
     * @returns Attributes added previously or retrieved from the methods.
     */
    getAttributes() {
        if (!this._attributeProviders.length) {
            return this._attributes;
        }
        return Object.assign({}, this._attributes, ...this._attributeProviders.map((p) => p()));
    }
}
exports.ErrorScope = ErrorScope;
//# sourceMappingURL=errorScope.js.map