"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResponseResult = void 0;
class ResponseResult {
    constructor(msg, status = 'error') {
        this.msg = msg;
        this.status = status;
    }
    static badRequest(response, msg) {
        const responseMessage = msg ? msg : 'bad request';
        response.status(400).send(new ResponseResult(responseMessage));
    }
    static unauthorized(response) {
        const responseMessage = 'unauthorized';
        response.status(403).send(new ResponseResult(responseMessage));
    }
    static ok(response) {
        response.status(403).send(new ResponseResult('ok', 'ok'));
    }
    static internalError(response, msg) {
        response.status(500).send(new ResponseResult(msg, 'error'));
    }
}
exports.ResponseResult = ResponseResult;
//# sourceMappingURL=responseResult.js.map